Update an order
Update a single order’s details. Only non-empty fields are set.
Available order statuses are PENDING, SHIPPED, COMPLETED,
CANCELED and ARCHIVED.
If the order has digital downloads or membership products and the
status is set to COMPLETED, the customer receives an email with
access to their digital content.
curl --request PUT \
--url https://{domain}/api/site/orders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'User-Agent: <api-key>' \
--data '
{
"customerName": "<string>",
"customerEmail": "jsmith@example.com",
"billingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"paymentMethod": "<string>",
"transactionId": "<string>",
"paid": true,
"fulfillment": {
"courier": "UPS",
"trackingNo": "123456789ABC",
"trackingUrl": "https://www.ups.com/mobile/track?trackingNumber=123456789ABC"
},
"notifyCustomer": true
}
'import requests
url = "https://{domain}/api/site/orders/{id}"
payload = {
"customerName": "<string>",
"customerEmail": "jsmith@example.com",
"billingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"paymentMethod": "<string>",
"transactionId": "<string>",
"paid": True,
"fulfillment": {
"courier": "UPS",
"trackingNo": "123456789ABC",
"trackingUrl": "https://www.ups.com/mobile/track?trackingNumber=123456789ABC"
},
"notifyCustomer": True
}
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'User-Agent': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerName: '<string>',
customerEmail: 'jsmith@example.com',
billingAddress: {
name: '<string>',
phone: '<string>',
companyName: '<string>',
companyId: '<string>',
country: '<string>',
state: '<string>',
city: '<string>',
zipCode: '<string>',
address: '<string>',
address2: '<string>'
},
shippingAddress: {
name: '<string>',
phone: '<string>',
companyName: '<string>',
companyId: '<string>',
country: '<string>',
state: '<string>',
city: '<string>',
zipCode: '<string>',
address: '<string>',
address2: '<string>'
},
paymentMethod: '<string>',
transactionId: '<string>',
paid: true,
fulfillment: {
courier: 'UPS',
trackingNo: '123456789ABC',
trackingUrl: 'https://www.ups.com/mobile/track?trackingNumber=123456789ABC'
},
notifyCustomer: true
})
};
fetch('https://{domain}/api/site/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1234,
"invoiceNo": 15,
"created": 1573397217,
"customerName": "John Doe",
"customerEmail": "john@email.com",
"contactId": 123,
"memberId": 123,
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"billingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"shippingRequired": true,
"weight": 0,
"weightUnit": "kg",
"subTotal": 49,
"total": 49,
"discountCode": "<string>",
"discountType": "fixed_discount",
"discountAmount": 0,
"shippingName": "<string>",
"shippingAmount": 0,
"paid": true,
"paymentMethod": "stripe",
"transactionId": "<string>",
"status": "completed",
"taxes": [
{
"name": "Sales Tax",
"total": 20,
"applyToShipping": true,
"rate": 10,
"type": "PERCENT",
"appliedToItems": [
0,
1,
2
]
}
],
"items": [
{
"id": 123,
"name": "Running Shoes",
"url": "running-shoes",
"productId": 24,
"type": "physical",
"sku": "<string>",
"quantity": 1,
"total": 49,
"weight": 0,
"width": 0,
"height": 0,
"length": 0,
"shippingRequired": true,
"images": [
"https://path-to-image.jpg"
],
"variation": [
{
"name": "<string>",
"value": "<string>"
}
],
"additions": [
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"tags": [
"<string>"
],
"additionalFields": [
{
"field": "<string>",
"value": "<string>"
}
],
"notes": [
{
"time": 1686043751,
"value": "Order Note Text Sample"
}
]
}{
"success": false,
"message": "Resource not found"
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Path Parameters
The id of the order.
1234
Body
Only non-empty fields are set.
A billing or shipping address.
Show child attributes
Show child attributes
A billing or shipping address.
Show child attributes
Show child attributes
The payment method type, e.g. "stripe".
The transaction id uniquely identifying the payment for this order.
The order status to set.
PENDING, SHIPPED, COMPLETED, CANCELED, ARCHIVED Show child attributes
Show child attributes
Whether to notify the customer of this change.
Response
The updated order.
Unique identifier.
1234
Invoice number assigned to the order.
15
Timestamp in Unix seconds since epoch (time placed).
1573397217
"John Doe"
"john@email.com"
Unique identifier of the contact that made the order.
Unique identifier of the registered member that made the order (if any).
A billing or shipping address.
Show child attributes
Show child attributes
A billing or shipping address.
Show child attributes
Show child attributes
Whether the order contains physical products requiring shipping.
Total weight of the order.
0
Weight unit (kg, lb).
"kg"
49
49
Used discount code.
Type of discount used.
fixed_discount, percent_discount, free_shipping, null 0
Shipping method used (if any).
Cost of shipping.
0
Whether the order is paid.
Payment method used to place the order.
"stripe"
If paid, the payment transaction id.
Order status. Returned in lowercase; see the Update operation for the accepted uppercase input values.
pending, shipped, completed, canceled, archived "completed"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of tags assigned to the order.
Field/value pairs of all additional fields collected with the order.
Show child attributes
Show child attributes
Private notes added to this order (time/value pairs).
Show child attributes
Show child attributes
Was this page helpful?

